Project

General

Profile

不具合調査依頼 #873

jobarg-server と jobarg-agent は、同居できませんか?

Added by Anonymous almost 6 years ago. Updated almost 6 years ago.

Status:
終了
Priority:
通常
Assignee:
-
Start date:
04/28/2014
Due date:
% Done:

0%

Estimated time:

Description

お世話になります。

jobarg-serverを導入したサーバに、jobarg-agentを導入しようとしたところ、ファイル競合でインストールが失敗しました。
jobarg-serverとjobarg-agentは同居できないのでしょうか?
jobarg-server上でジョブを実行したい時は、どうしたら良いのでしょうか?

以下、メッセージ(抜粋)です。
[root@vnk1172 tmp]# rpm -ivh jobarranger-agentd-1.4.1-2.el5.centos.x86_64.rpm
準備中... ########################################### [100%]
ファイル /etc/jobarranger/extendedjob/jobarg_command (パッケージ jobarranger-agentd-1.4.1-2.el5.centos.x86_64 から) は、パッケージ jobarranger-server-postgresql-1.4.1-2.el6.x86_64 からのファイルと競合しています。
ファイル /usr/bin/jobarg_exec (パッケージ jobarranger-agentd-1.4.1-2.el5.centos.x86_64 から) は、パッケージ jobarranger-server-postgresql-1.4.1-2.el6.x86_64 からのファイルと競合しています。
                     :

                     :

よろしくお願いします。

History

#1 Updated by Anonymous almost 6 years ago

  • Status changed from 新規登録 to 担当者アサイン中

#2 Updated by Anonymous almost 6 years ago

  • Status changed from 担当者アサイン中 to 受付完了

#3 Updated by Anonymous almost 6 years ago

  • Status changed from 受付完了 to 担当者処理中

#4 Updated by Anonymous almost 6 years ago

  • Status changed from 担当者処理中 to 回答中
  • Assignee set to Anonymous

Job Arranger for Zabbix のご利用ありがとうございます。
お問い合わせの件についてご回答致します。

jobarg-serverとjobarg-agentの同居は可能でございます。

お知らせ頂いたメッセージを確認しますと、CentOS(linux)6.x 系のjobarg-serverと、
CentOS(linux)5.x 系のjobarg-agentを同一マシンにインストールしていると思われます。

CentOS(linux)6.x 系とCentOS(linux)5.x 系のパッケージは同時インストールが出来ないため、ファイルの競合が発生します。

お使いのOSバージョンとビット数をご確認いただき、OSに合わせたrpmパッケージのご利用をお願いいたします。

以下、rpmパッケージの使用例をお知らせします。

【linux 6.x(64Bit)にPostgreSQL版v1.4.1をインストールする場合】
rpm -ivh jobarranger-server-postgresql-1.4.1-2.el6.x86_64.rpm
rpm -ivh jobarranger-agentd-1.4.1-2.el6.x86_64.rpm

【linux 5.x(64Bit)にPostgreSQL版v1.4.1をインストールする場合】
rpm -ivh jobarranger-server-postgresql-1.4.1-2.el5.centos.x86_64.rpm
rpm -ivh jobarranger-agentd-1.4.1-2.el5.centos.x86_64.rpm

よろしくお願いいたします。

#5 Updated by Anonymous almost 6 years ago

担当者どの

失礼しました。
JobArrangerServerのみがRHEL6であることを失念しており、他のRHEL5に導入したAgentモジュールをそのまま利用していました。
REHL6用のAgentモジュールをダウンロードし、無事インストールできました。

ありがとうございました。

#6 Updated by Anonymous almost 6 years ago

  • Status changed from 回答中 to 終了

Also available in: Atom PDF